<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.jacoco</groupId>
  <artifactId>CodeCoverage</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <description>CodeCoverage Demo</description>

  <build>
   <plugins>
      <plugin>
         <groupId>org.jacoco</groupId>
         <artifactId>jacoco-maven-plugin</artifactId>
         <version>0.7.5.201505241946</version>
         <executions>
            <execution>
               <id>pre-unit-test</id>
               <goals>
                  <goal>prepare-agent</goal>
               </goals>
            </execution>
            <execution>
               <id>post-unit-test</id>
               <phase>test</phase>
               <goals>
                  <goal>report</goal>
               </goals>
            </execution>
         </executions>
      </plugin>
      
           <plugin>
                <artifactId>maven-surefire-plugin</artifactId>
                 <version>2.14.1</version>
                  <configuration>
                      <argLine>${argLine}  -XX:PermSize=128m -XX:MaxPermSize=512m</argLine>
                  </configuration>
            </plugin>

         <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>exec-maven-plugin</artifactId>
            <version>1.3.2</version>
            <executions>
              <execution>
                  <!-- phase working for test and package-->
                <phase>package</phase>  
                <goals>
                  <goal>exec</goal>
                </goals>
              </execution>
            </executions>
            <configuration>
              <executable>grep</executable>
           <commandlineArgs>-Eo 'Total[^%]*%' target/site/jacoco/index.html</commandlineArgs> 
              <!--    <arguments>
                   <argument>-o</argument>
                   <argument>'Total[^%]*%'</argument>
                   <argument>index.html</argument>
                   </arguments>
                 target/site/jacoco/index.html -->
              
            </configuration>
          </plugin>
   </plugins>
   
   
 </build>
 
      <!-- TESTING DEPENDENCIES -->
     <dependencies>     
     <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.11</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
    
    
    	<profiles>
	  <!-- 	<profile>
			<id>Windows</id>
			<activation>
				<os>
					<family>Windows</family>
				</os>
			</activation>
			<properties>
				<script.extension>.bat</script.extension>
			</properties>
		</profile> 
		<profile>
			<id>unix</id>
			<activation>
				<os>
					<family>unix</family>
				</os>
			</activation>
			<properties>
				<script.extension>.sh</script.extension>
			</properties>
		</profile>    -->
	</profiles>
  
</project>